#ifndef FBFILLBLANKBODY_H
#define FBFILLBLANKBODY_H

#include <QWidget>
#include "json/json.h"
#include "CBaseWidget.h"


namespace Ui {
class fbFillBlankBody;
}

class fbFillBlankBody : public CBaseWidget
{
    Q_OBJECT

public:
    explicit fbFillBlankBody(Json::Value jBody, QWidget *parent = nullptr);
    ~fbFillBlankBody();

    int setUI(const int nWidth);
    void setQuesionNo(QString sItemNo);//设置题号
    int widgetType();
private:
    Ui::fbFillBlankBody *ui;

    Json::Value m_jBody;
};

#endif // FBFILLBLANKBODY_H
